Bug 635377 - libunicap-0.9.12 is available
Summary: libunicap-0.9.12 is available
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libunicap
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-19 10:19 UTC by Upstream Release Monitoring
Modified: 2010-11-18 17:21 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-10-22 18:03:05 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2010-09-19 10:19:20 UTC
Latest upstream release: 0.9.11
Current version in Fedora Rawhide: 0.9.8
URL: http://unicap-imaging.org/download.htm

Please consult the package update guidelines before you issue an update to a stable branch: https://fedoraproject.org/wiki/Package_update_guidelines

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_Release_Monitoring

Comment 1 Robert Scheck 2010-10-03 21:42:01 UTC
In the meantime 0.9.12 was released.

Comment 2 Robert Scheck 2010-10-03 22:27:21 UTC
When I try to build 0.9.12 for EL-5, this fails as follows:

In file included from buffermanager.c:4:
/usr/include/linux/videodev2.h:352: error: field 'timestamp' has incomplete type
In file included from /usr/include/semaphore.h:23,
                 from buffermanager.c:5:
/usr/include/sys/types.h:46: error: conflicting types for 'loff_t'
/usr/include/linux/types.h:30: error: previous declaration of 'loff_t' was here
/usr/include/sys/types.h:62: error: conflicting types for 'dev_t'
/usr/include/linux/types.h:13: error: previous declaration of 'dev_t' was here
In file included from /usr/include/sys/types.h:133,
                 from /usr/include/semaphore.h:23,
                 from buffermanager.c:5:
/usr/include/time.h:105: error: conflicting types for 'timer_t'
/usr/include/linux/types.h:22: error: previous declaration of 'timer_t' was here
In file included from /usr/include/semaphore.h:23,
                 from buffermanager.c:5:
/usr/include/sys/types.h:198: error: conflicting types for 'int64_t'
/usr/include/linux/types.h:98: error: previous declaration of 'int64_t' was here
/usr/include/sys/types.h:204: error: conflicting types for 'u_int64_t'
/usr/include/linux/types.h:97: error: previous declaration of 'u_int64_t' was here
In file included from /usr/include/sys/types.h:220,
                 from /usr/include/semaphore.h:23,
                 from buffermanager.c:5:
/usr/include/sys/select.h:78: error: conflicting types for 'fd_set'
/usr/include/linux/types.h:12: error: previous declaration of 'fd_set' was here
In file included from /usr/include/semaphore.h:23,
                 from buffermanager.c:5:
/usr/include/sys/types.h:235: error: conflicting types for 'blkcnt_t'
/usr/include/linux/types.h:114: error: previous declaration of 'blkcnt_t' was here
buffermanager.c: In function 'buffer_mgr_create':
buffermanager.c:93: warning: implicit declaration of function 'ioctl'
buffermanager.c:93: warning: implicit declaration of function '_IOWR'
buffermanager.c:93: error: expected expression before 'struct'
buffermanager.c:110: error: expected expression before 'struct'
buffermanager.c: In function 'buffer_mgr_destroy':
buffermanager.c:156: error: expected expression before 'struct'
buffermanager.c: In function 'buffer_mgr_queue':
buffermanager.c:206: error: expected expression before 'struct'
buffermanager.c: In function 'buffer_mgr_dequeue':
buffermanager.c:238: error: expected expression before 'struct'
buffermanager.c: In function 'buffer_mgr_dequeue_all':
buffermanager.c:271: error: expected expression before 'struct'

Comment 3 Kamil Dudka 2010-10-04 12:42:50 UTC
(In reply to comment #2)
> When I try to build 0.9.12 for EL-5, this fails as follows:

This should fix it:

diff --git a/cpi/v4l2cpi/buffermanager.c b/cpi/v4l2cpi/buffermanager.c
--- a/cpi/v4l2cpi/buffermanager.c
+++ b/cpi/v4l2cpi/buffermanager.c
@@ -1,5 +1,8 @@
 #include "config.h"

+#include <sys/time.h>
+
+#include <linux/ioctl.h>
 #include <linux/types.h>
 #include <linux/videodev2.h>
 #include <semaphore.h>

Comment 4 Fedora Update System 2010-10-04 20:34:25 UTC
libunicap-0.9.12-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/libunicap-0.9.12-1.el5

Comment 5 Fedora Update System 2010-10-04 20:34:50 UTC
libunicap-0.9.12-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/libunicap-0.9.12-1.fc12

Comment 6 Fedora Update System 2010-10-04 20:34:57 UTC
libunicap-0.9.12-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/libunicap-0.9.12-1.fc13

Comment 7 Fedora Update System 2010-10-04 20:35:06 UTC
libunicap-0.9.12-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libunicap-0.9.12-1.fc14

Comment 8 Fedora Update System 2010-10-05 05:21:03 UTC
libunicap-0.9.12-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libunicap'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libunicap-0.9.12-1.fc14

Comment 9 Fedora Update System 2010-10-12 12:36:44 UTC
libunicap-0.9.12-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libunicap-0.9.12-2.fc14

Comment 10 Fedora Update System 2010-10-12 12:37:12 UTC
libunicap-0.9.12-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/libunicap-0.9.12-2.fc13

Comment 11 Fedora Update System 2010-10-22 18:02:51 UTC
libunicap-0.9.12-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-10-28 05:53:36 UTC
libunicap-0.9.12-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-10-29 22:31:35 UTC
libunicap-0.9.12-5.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/libunicap-0.9.12-5.fc12

Comment 14 Fedora Update System 2010-10-29 22:31:39 UTC
libunicap-0.9.12-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/libunicap-0.9.12-5.el5

Comment 15 Fedora Update System 2010-11-02 16:05:49 UTC
libunicap-0.9.12-6.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/libunicap-0.9.12-6.fc12

Comment 16 Fedora Update System 2010-11-02 16:06:58 UTC
libunicap-0.9.12-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/libunicap-0.9.12-7.el5

Comment 17 Fedora Update System 2010-11-10 21:46:02 UTC
libunicap-0.9.12-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-11-18 17:21:10 UTC
libunicap-0.9.12-7.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.